# GCC_Privilege Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Enumerations { e_terminate, e_ejectUser, e_add, e_lockUnlock, e_transfer }

## Public Member Functions

| GCC_Privilege (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
GCC_Privilege & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_Privilege::Enumerations

Enumerator:

  e_terminate |
  e_ejectUser |
  e_add |
  e_lockUnlock |
  e_transfer |

## Constructor & Destructor Documentation

GCC_Privilege::GCC_Privilege | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_Privilege& GCC_Privilege::operator= | ( | unsigned | v | ) |

PObject* GCC_Privilege::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h